
//ISTRUZIONE TECNICA
var pm;
var selectedEnte = 'RT';
var selectedFiliera;
var selectedProv;

var totenteArray=[];

// 
var layerPTP = "ptp";
var layerITS = "ITS";

var ptp = "PTP";
var its = "ITS";

// rettangolo di inscrizione RT
var xmin = 1460863.85;
var xmax = 1888704.71;
var ymin = 4690374.31;
var ymax = 4912134.75;

//Centro e zoom della mappa per provincia
var mappa = {
		RT:	{ x: 1676890.00, y: 4815680.00, zoom: 2000000 },
		AR:	{ x: 1744729.64, y: 4821410.87, zoom: 750000 },
		FI:	{ x: 1695169.54, y: 4854170.94, zoom: 750000 },
		GR:	{ x: 1702729.55, y: 4738418.71, zoom: 800000 },
		LI:	{ x: 1633177.42, y: 4783000.00, zoom: 850000 },
		LU:	{ x: 1616780.83, y: 4874691.81, zoom: 600000 },
		MS:	{ x: 1580240.76, y: 4897455.85, zoom: 600000 },
		PI:	{ x: 1639364.69, y: 4816362.59, zoom: 750000 },
		PT:	{ x: 1654948.94, y: 4868887.52, zoom: 600000 },
		PO:	{ x: 1676116.99, y: 4867375.52, zoom: 600000 },
		SI:	{ x: 1712641.57, y: 4784954.80, zoom: 800000 }
}


$(document).ready(function (){
	//pm = new PublicMap('prov');
	setcomboTipoEnte();
	setComboFiliera();
	caricaDati_locali();
	
});


function setcomboTipoEnte() {

	var TipoEnteArray=[];
	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXtipoente.json",
		async: false,
		cache: false,
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXtipoente.SelXtipoente.length;i++){
				TipoEnteArray.push({TipoEnte: x.istruzionetecnicaXtipoente.SelXtipoente[i].tipoente});

			}
			for(i=0;i<TipoEnteArray.length;i++){
			  testoHtml += '<option value="' + TipoEnteArray[i].TipoEnte + '">' + TipoEnteArray[i].TipoEnte + '</option>';			}
			$('#combo_tipo_ente_ID').append(testoHtml);
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento del tipo ente non e' andata a buon fine");
			}
		}
	});

}


function setComboFiliera() {
	var FilieraArray=[];
	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXfiliera.json",
		async: false,
		cache: false,
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXfiliera.SelXfiliera.length;i++){
				FilieraArray.push({Filiera: x.istruzionetecnicaXfiliera.SelXfiliera[i].filiera});
			}
			for(i=0;i<FilieraArray.length;i++){
				testoHtml += '<option value="' + FilieraArray[i].Filiera + '">' + FilieraArray[i].Filiera + '</option>';
			}
			$('#combo_filiera_ID').append(testoHtml);
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Il caricamento Filiera  non e' andata a buon fine");
			}
		}
	});
}
function caricaDati() {

	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			
			
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				totenteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					facebook: x.istruzionetecnicaXpv.SelXpv[i].facebook,
					twitter: x.istruzionetecnicaXpv.SelXpv[i].twitter,
					youtube: x.istruzionetecnicaXpv.SelXpv[i].youtube,
					googleplus: x.istruzionetecnicaXpv.SelXpv[i].googleplus,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			
			//(totenteArray.length);
			},
			
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}
// funzione di caricamento dati da mostrare nell'elenco 
	function caricaDati_locali() { 

	
	$.ajax({
		type: "POST",
		url: "convertcsv_ptp.json",
		dataType: "text",
		
		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			
			//alert ('passo di qui');
			for(i=0;i<x.length;i++){
				    enteArray.push({idente: x[i].sins_id,
					ente: x[i].sins_description,
					indirizzo: x[i].indirizzo,
					comune: x[i].comune,
					prov: x[i].prov,
					tipoente: x[i].tipoente,
					filiera: x[i].filiera,
					scuolacapofila: x[i].scuolacapofila,
					sitoweb: x[i].sitoweb,
					referente: x[i].referente,
					emailreferente: x[i].emailreferente,
					emailscuola: x[i].emailscuola,
					telefono: x[i].telefono,
					facebook: x[i].facebook,
					twitter: x[i].twitter,
					youtube: x[i].youtube,
					googleplus: x[i].googleplus,
					gbest:x[i].sins_x,
					gbnord:x[i].sins_y});
				 //	alert(enteArray[i].gbest);
			
			}
			
			//alert(enteArray.length);
			},
			
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}

function displayGrigliaFunzionipv(provincia) {

	var enteArray=[];
	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'pv': provincia},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			
			
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					facebook: x.istruzionetecnicaXpv.SelXpv[i].facebook,
					twitter: x.istruzionetecnicaXpv.SelXpv[i].twitter,
					youtube: x.istruzionetecnicaXpv.SelXpv[i].youtube,
					googleplus: x.istruzionetecnicaXpv.SelXpv[i].googleplus,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			
			//alert(enteArray.length);
			
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}
function displayGrigliaFunzioniente(selectedEnte) {

	var enteArray=[];
	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'ente':selectedEnte},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			
			
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}
function displayGrigliaFunzionifiliera(selectedFiliera) {

	var enteArray=[];
	var testoHtml = '';
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'filiera':selectedFiliera},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andata a buon fine");
			}
		}
	});

}

function displayGrigliaFunzioniEP(ente,provincia) {

	var enteArray=[];
	var testoHtml = '';
    
     
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'ente':selectedEnte, 'pv':selectedProv},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			
			
			if (enteArray.length == 0) {
				alert('Non ci sono risultati per questa scelta');
			}
			
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
			
			
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andato a buon fine");
			}
		}
	});

}

function displayGrigliaFunzioniFP(filiera,provincia) {

	var enteArray=[];
	var testoHtml = '';
    
     
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'filiera':selectedFiliera, 'pv':selectedProv},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}

              if (enteArray.length == 0) {
				alert('Non ci sono risultati per questa scelta');
			}

			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
			
			
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andato a buon fine");
			}
		}
	});

}
function displayGrigliaFunzioniEF(ente,filiera) {

	var enteArray=[];
	var testoHtml = '';
    
     
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'ente':selectedEnte, 'filiera':selectedFiliera},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			if (enteArray.length == 0) {
				alert('Non ci sono risultati per questa scelta');
			}
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
			
			
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andato a buon fine");
			}
		}
	});

}
function displayGrigliaFunzioniEFP(ente,filiera,provincia) {

	var enteArray=[];
	var testoHtml = '';
    
     
	$.ajax({
		type: "POST",
		url: "istruzionetecnicaXpv.json",
		async: false,
		cache: false,
		data: {'ente':selectedEnte, 'filiera':selectedFiliera, 'pv':selectedProv},
		dataType: "text",

		success: function(msg)
		{
			var x=eval("("+msg+")");
			var i = 0;
			for(i=0;i<x.istruzionetecnicaXpv.SelXpv.length;i++){
				enteArray.push({ente: x.istruzionetecnicaXpv.SelXpv[i].sins_description,
					indirizzo: x.istruzionetecnicaXpv.SelXpv[i].indirizzo,
					comune: x.istruzionetecnicaXpv.SelXpv[i].comune,
					prov: x.istruzionetecnicaXpv.SelXpv[i].prov,
					tipoente: x.istruzionetecnicaXpv.SelXpv[i].tipoente,
					filiera: x.istruzionetecnicaXpv.SelXpv[i].filiera,
					scuolacapofila: x.istruzionetecnicaXpv.SelXpv[i].scuolacapofila,
					sitoweb: x.istruzionetecnicaXpv.SelXpv[i].sitoweb,
					referente: x.istruzionetecnicaXpv.SelXpv[i].referente,
					emailreferente: x.istruzionetecnicaXpv.SelXpv[i].emailreferente,
					emailscuola: x.istruzionetecnicaXpv.SelXpv[i].emailscuola,
					telefono: x.istruzionetecnicaXpv.SelXpv[i].telefono,
					gbest:x.istruzionetecnicaXpv.SelXpv[i].sins_x,
					gbnord:x.istruzionetecnicaXpv.SelXpv[i].sins_y});
			}
			if (enteArray.length == 0) {
				alert('Non ci sono risultati per questa scelta');
			}
			for(i=0;i<enteArray.length;i++){
				testoHtml += '<strong>Ente: ' + enteArray[i].ente + '</strong><ul>';
				testoHtml += '<li>Indirizzo: ' + enteArray[i].indirizzo + '</li>';
				testoHtml += '<li>Comune: ' + enteArray[i].comune + '</li><li>Provincia: ' + enteArray[i].prov + '</li>';
				testoHtml += '<font color=#FF3300;>==========================</font>';
				testoHtml += '<li>Tipo ente: ' + enteArray[i].tipoente + '</li>';
				testoHtml += '<li>Filiera: ' + enteArray[i].filiera + '</li>';
				if ( enteArray[i].scuolacapofila){
				testoHtml += '<li>scuola capofila: ' + enteArray[i].scuolacapofila + '</li>';
				}
				
				if ( enteArray[i].referente){
				testoHtml += '<li>Referente: ' + enteArray[i].referente + '</li>';
				}
				if ( enteArray[i].emailreferente){
				testoHtml += '<li>Mail referente: <a href="mailto:' + enteArray[i].emailreferente + '">' + enteArray[i].emailreferente + '</a></li>';
				}
				if ( enteArray[i].emailscuola){
				testoHtml += '<li>email Scuola: <a href="mailto:' + enteArray[i].emailscuola + '">' + enteArray[i].emailscuola + '</a></li>';
				}
				if ( enteArray[i].telefono){
				testoHtml += '<li>telefono: ' + enteArray[i].telefono + '</li>';
				}
				testoHtml += '<font color=#FF3300;>==========================</font>';
				if ( enteArray[i].sitoweb){ 
				testoHtml += '<li>sito web: <a href="' + enteArray[i].sitoweb + '" target="_blank">' + enteArray[i].sitoweb + '</a></li>';
				}
				if ( enteArray[i].facebook){ 
				testoHtml += '<li>facebook: <a href="' + enteArray[i].facebook + '" target="_blank">' + enteArray[i].facebook + '</a></li>';
				}
				if ( enteArray[i].twitter){ 
				testoHtml += '<li>twitter: <a href="' + enteArray[i].twitter + '" target="_blank">' + enteArray[i].twitter + '</a></li>';
				}
				if ( enteArray[i].googleplus){ 
				testoHtml += '<li>googleplus: <a href="' + enteArray[i].googleplus + '" target="_blank">' + enteArray[i].googleplus + '</a></li>';
				}
				if ( enteArray[i].youtube){ 
				testoHtml += '<li>canale youtube: <a href="' + enteArray[i].youtube + '" target="_blank">' + enteArray[i].youtube + '</a></li>';
				}
				testoHtml += '<li><a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ enteArray[i].gbest + ', ' + enteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li></ul><br>';
		}
			$('#grigliaFunzioniId').html(testoHtml);
			
			
		},
		error: function(request,error) {

			if (error == "timeout") {
				alert("Richiesta scaduta, si prega di riprovare");
			}
			else {
				alert("ERROR: " + error);
				alert("Caricamento dati non andato a buon fine");
			}
		}
	});

}
function displayMapByProv(provincia) {
	
	try {
		
		var est = mappa[provincia].x;
		var nord = mappa[provincia].y;
		var zoom = mappa[provincia].zoom;
        //alert(est + ' ' + nord + ' ' + zoom);		
		// aggiorna mappa
		pm.gotoPosition(est, nord,zoom, false);
	} catch(e) {
		alert("Errore nella lettura della Provincia");
	}

}

//****funzioni custom per gestione della risposta
			//l'oggetto di risposta sta in event.detail
			function handleInfoResponse(event) {
			
				document.getElementById("extent-info").innerHTML = "";
				// data in event.detail
				if (event.detail != null) {
					document.getElementById("searchdata").innerHTML = getInfoFromData(event.detail);
				} else {
					document.getElementById("searchdata").innerHTML = '<p>nessun oggetto trovato</p>';
				}
			}
		
			//l'oggetto di risposta sta in event.detail
			function handleSearchResponse(event) {
				// data in event.detail
				if (event.detail != null) {
					document.getElementById("searchdata").innerHTML = getTableFromData(event.detail);
				} else {
					document.getElementById("searchdata").innerHTML = '<p>nessun risultato trovato</p>';
				}
			}
		
			//evento senza dati, indica solo l'inizio della ricerca
			function handleSearchStart(event) {
				// data in event.detail
				document.getElementById("searchdata").innerHTML = '<p>ricerca in corso...</p>';
			}
		
			//Eventuali errori stanno in event.detail
			function handleSearchError(event) {
				// data in event.detail
				document.getElementById("searchdata").innerHTML = '<p>Errore nella ricerca: '
						+ event.detail + '</p>';
			}
		
			//funzione esempio per visualizzazione della risposta di ricerca
			function getTableFromData(data) {
		
				// tabella esempio con risultati
				// e link per andare sull'oggetto trovato in mappa
				var retval = '<table id="tabledata">';
		
				retval += '<tr>';
				retval += '<td><b>Risultati:</b></td>';
				retval += '</tr>';
		
				for ( var i in data) {
					retval += '<tr>';
					retval += "<td><a href=\"#\" title=\"vedi sulla mappa\" onClick=\"pm.zoomToObjWithCodTPN('"
							+ data[i].codTPN
							+ "','"
							+ data[i].key
							+ "',false,2000,null); return false;\" >"
							+ data[i].description + "</a></td>";
					retval += '</tr>';
				}
		
				retval += '</table>';
		
				return retval;
			}
		
			//funzione esempio per visualizzazione della risposta di info su host
			function getInfoFromData(data) {
				// tabella esempio con risultati
				// e link per andare sull'oggetto trovato in mappa
				var retval = '<table id="tabledata">';
		
				retval += '<tr>';
				retval += '<td><b>Info:</b></td>';
				retval += '</tr>';
		
				for ( var i in data) {
					retval += '<tr>';
					retval += "<td>" + data[i].nl + ": " + data[i].value + "</td>";
					retval += '</tr>';
				}
		
				retval += '</table>';
		
				return retval;
			}

// funzione associata all'evento handleReadNewExtent
			function writeNewExtent(event) {
			  //  selectedFiliera = document.getElementById("combo_filiera_ID").value;
				//document.getElementById("extent-info").innerHTML = "";
				$('#grigliaFunzioniId').html('');
				// $('#grigliaFunzioniId').html = '';
				 
                var nstrutture= 0;
				var htmlList = "<b><i>Strutture presenti sulla mappa</i></b> <br/> <ul></ul>";
	            
				xmin = event.detail.left;
				xmax = event.detail.right;
				ymin = event.detail.bottom;
				ymax = event.detail.top;
				
				for(i=0;i<totenteArray.length;i++){
				
				 if (((totenteArray[i].gbest >= xmin) && (totenteArray[i].gbest < xmax))
				 &&
				 ((totenteArray[i].gbnord >= ymin) && (totenteArray[i].gbnord < ymax))){
				 
				  if ((totenteArray[i].tipoente == ptp) || (totenteArray[i].tipoente == its)) {
				  nstrutture = nstrutture + 1;
				  htmlList += '<li><b>' + totenteArray[i].ente.substring(0,60) + '</b>'; 
				  htmlList += '<br/>Indirizzo: ' + totenteArray[i].indirizzo;
				  htmlList += '<br/>Comune: ' + totenteArray[i].comune ;
				  htmlList += '<br/><a class="btn-provincia" role="button" href="javascript:pm.gotoPosition('+ mappa[totenteArray[i].prov].x + ', ' + mappa[totenteArray[i].prov].y + ','+ mappa[totenteArray[i].prov].zoom +', false);"> Provincia: ' + totenteArray[i].prov + '</a>';
				  htmlList += '<br/><font color=#FF3300;>==========================</font>';
				  htmlList += '<br/>Tipo ente: ' + totenteArray[i].tipoente;
				  htmlList += '<br/>Filiera: ' + totenteArray[i].filiera + '<br/>';
				  htmlList += '<a class="btn-zoom" role="button" href="javascript:pm.gotoPosition('+ totenteArray[i].gbest + ', ' + totenteArray[i].gbnord + ', \'10000\',true);"> zoom alla sede </a></li><br>';
				  } // if coord
				 } // if ptp e its
				} // for
			    
				//alert (nstrutture);
				if (nstrutture == 0) htmlList = "<b>Non ci sono strutture in quest'area</b>";
				//document.getElementById("extent-info").innerHTML = htmlList;
				$('#grigliaFunzioniId').html(htmlList);
		        //$('#grigliaFunzioniId').html = htmlList;
			} //function

function visualizzaDati() {
	selectedEnte = document.getElementById("combo_tipo_ente_ID").value;
	selectedFiliera = document.getElementById("combo_filiera_ID").value;
	selectedProv = document.getElementById("combo_prov_Id").value;
	
	//riporta la mappa iniziale e ripulisce la griglia
	if (selectedEnte=='0' && selectedFiliera =='0' && selectedProv=='RT') {
		pm.gotoPosition('1676890', '4815680', '2000000', false);
		$('#grigliaFunzioniId').html('');
		
		return;
	}
	//ente si  filiera no  provincia no
	if (selectedEnte!='0' && selectedFiliera =='0' && selectedProv=='RT') {
		pm.gotoPosition('1676890', '4815680', '2000000',false);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzioniente(selectedEnte);
		return;
	}
	//ente si  filiera si  provincia no
	if (selectedEnte!='0' && selectedFiliera !='0' && selectedProv=='RT') {
		pm.gotoPosition('1676890', '4815680', '2000000',false);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzioniEF(selectedEnte,selectedFiliera);
		return;
	}
	//ente si  filiera si  provincia si
	if (selectedEnte!='0' && selectedFiliera !='0' && selectedProv!='RT') {
		displayMapByProv(selectedProv);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzioniEFP(selectedEnte,selectedFiliera,selectedProv);
		return;
	}
	//ente si  filiera no  provincia si
	if (selectedEnte!='0' && selectedFiliera =='0' && selectedProv!='RT') {
		displayMapByProv(selectedProv);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzioniEP(selectedEnte,selectedProv);
		return;
	}
	
	// ente no filiera si provincia no
	if (selectedEnte =='0' && selectedFiliera!='0' && selectedProv=='RT') {
		pm.gotoPosition('1676890', '4815680', '2000000',false);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzionifiliera(selectedFiliera);
		return;
	}
	// ente no filiera si provincia si
	if (selectedEnte =='0' && selectedFiliera!='0' && selectedProv!='RT') {
		displayMapByProv(selectedProv);
		$('#grigliaFunzioniId').html('');
		displayGrigliaFunzioniFP(selectedFiliera,selectedProv);
		return;
	}
	
	// ente no filiera no provincia si
	if (selectedEnte=='0' && selectedFiliera=='0' && selectedProv!='RT') {
		$('#grigliaFunzioniId').html('');
		//alert(selectedProv);
		displayMapByProv(selectedProv);
		displayGrigliaFunzionipv(selectedProv);
		return;
	}
	
}



